## hubzero-mw-session 2.2.6-0+deb9

=== debian/changelog ===
hubzero-mw-session (2.2.6-0+deb9) unstable; urgency=low

  * add x11-apps and xterm dependencies for Debian stretch

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:12:09 -0400

=== debian/control ===

Source: hubzero-mw-session
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), libxext-dev, libvncserver-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-mw-session
Architecture: any
Depends: hubzero-tigervnc-server, netpbm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1,x11-apps,xterm
Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
Description: HUBzero middleware session tools
 Collection of tools required to startup and maintain HUBzero 
 middleware session containers.

## hubzero-mw-session 2.2.7-0+deb8

=== debian/changelog ===
hubzero-mw-session (2.2.7-0+deb8) unstable; urgency=low

  * x11-apps and xterm are dependencies for all versions of Debian

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 18 Jun 2018 16:10:30 -0400

hubzero-mw-session (2.2.6-0) unstable; urgency=low

  * add x11-apps and xterm dependencies for Debian 8+

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:12:09 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: hubzero-tigervnc-server, netpbm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1,x11-apps,xterm
+Depends: hubzero-tigervnc-server, netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}   ,libvncserver0 
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero

## hubzero-mw-session 2.2.7-0+deb9

=== Makefile ===
# @package      hubzero-mw-session
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
ETC=$(DESTDIR)/etc

all:
	@true

install:
	install -D startxvnc $(USRBIN)/startxvnc --mode 0750
	install -D mergeauth $(USRBIN)/mergeauth --mode 0750 
	install -D screenshot $(USRBIN)/screenshot --mode 0750
	make -C clientaction install
	make -C pixelflip install
	make -C hzvncresize install
	install -d $(ETC)/profile.d --mode 0755 
	install apps.sh $(ETC)/profile.d --mode 0644

uninstall:
	@true

postinst:
	@true

clean:
	make -C clientaction clean
	make -C pixelflip clean
	make -C hzvncresize clean

.PHONY: all install uninstall postinst clean

=== clientaction/Makefile ===
# @package      hubzero-mw-session
# @file         clientaction/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

clientaction: vncExt.o clientaction.o
	cc $(LDFLAGS) -o $@ vncExt.o clientaction.o -lX11

clean:
	rm -f clientaction vncExt.o clientaction.o

install: clean clientaction
	install clientaction $(USRBINDIR) --mode 0755

=== hzvncresize/Makefile ===
# @package      hubzero-mw-session
# @file         hzvncresize/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2012-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

hzvncresize: hzvncresize.o
	cc $(LDFLAGS) -o $@ hzvncresize.o -lvncclient

clean:
	rm -f hzvncresize hzvncresize.o

install: clean hzvncresize
	install hzvncresize $(USRBINDIR) --mode 0755

=== pixelflip/Makefile ===
# @package      hubzero-mw-session
# @file         pixelflip/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

CFLAGS	+= -O2
LDFLAGS	+= -lX11

pixelflip: pixelflip.c

install: clean pixelflip
	install pixelflip $(USRBINDIR)/pixelflip --mode 0755
	
clean:
	rm -f pixelflip

=== debian/changelog ===
hubzero-mw-session (2.2.7-0+deb9) unstable; urgency=low

  * x11-apps and xterm are dependencies for all versions of Debian

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 18 Jun 2018 16:10:30 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: hubzero-tigervnc-server, netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}   ,libvncserver0 
+Depends: hubzero-tigervnc-server, netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-mw-session
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw-session install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-mw-session 2.2.7-0+deb10

=== debian/changelog ===
hubzero-mw-session (2.2.7-0+deb10) unstable; urgency=low

  * x11-apps and xterm are dependencies for all versions of Debian

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 18 Jun 2018 16:10:30 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: hubzero-tigervnc-server, netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}    ,libvncclient1
+Depends: hubzero-tigervnc-server, netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}    
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero

## hubzero-mw-session 2.2.8-0+deb10

=== debian/changelog ===
hubzero-mw-session (2.2.8-0+deb10) unstable; urgency=low

  * remove hubzero-tigervnc dependency

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 11 May 2020 12:32:15 -0700

hubzero-mw-session (2.2.7-0) unstable; urgency=low

  * x11-apps and xterm are dependencies for all versions of Debian

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 18 Jun 2018 16:10:30 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: hubzero-tigervnc-server, netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}    
+# hubzero-tigervncserver can be external so removing dependency
+Depends: netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}    
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo, hubzero-tigervnc-server
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero

## hubzero-mw-session 2.2.9-0+deb7

=== debian/changelog ===
hubzero-mw-session (2.2.9-0+deb7) unstable; urgency=low

  * sync version numbers due to uncommitted changes

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:12:25 -0700

hubzero-mw-session (2.2.8-0) unstable; urgency=low

  * remove hubzero-tigervnc dependency

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 11 May 2020 12:32:15 -0700

## hubzero-mw-session 2.2.9-0+deb10

=== debian/changelog ===
hubzero-mw-session (2.2.9-0+deb10) unstable; urgency=low

  * sync version numbers due to uncommitted changes

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:12:25 -0700

## hubzero-mw-session 2.2.9-1+deb7

=== debian/changelog ===
hubzero-mw-session (2.2.9-1+deb7) unstable; urgency=low

  * sync version numbers due to uncommitted changes

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:12:25 -0700

hubzero-mw-session (2.2.8-1) unstable; urgency=low

  * remove hubzero-tigervnc dependency

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 11 May 2020 12:32:15 -0700

hubzero-mw-session (2.2.7-1) unstable; urgency=low

  * x11-apps and xterm are dependencies for all versions of Debian

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 18 Jun 2018 16:10:30 -0400

hubzero-mw-session (2.2.6-1) unstable; urgency=low

  * add x11-apps and xterm dependencies for Debian 8+

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:12:09 -0400

hubzero-mw-session (2.2.4-1) unstable; urgency=low

  * startxvnc: suppress font related warning messages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 14:06:21 -0400

hubzero-mw-session (2.2.3-1) unstable; urgency=low

  * startxvnc: fix quoting and order of extra arguments to tigervnc server

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 01 Jun 2018 11:35:02 -0400

hubzero-mw-session (2.2.2-1) unstable; urgency=low

  * support xorg-server >= 1.17 based Xtigervnc

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 14:50:21 -0400

=== debian/control ===

Source: hubzero-mw-session
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), libxext-dev, libvncserver-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-mw-session
Architecture: any
Depends: netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}  ,libvncserver0  
Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-icewm-captive-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo
Description: HUBzero middleware session tools
 Collection of tools required to startup and maintain HUBzero 
 middleware session containers.

## hubzero-mw-session 2.2.9-1+deb10

=== debian/changelog ===
hubzero-mw-session (2.2.9-1+deb10) unstable; urgency=low

  * sync version numbers due to uncommitted changes

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:12:25 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hubzero-mw-session
 Architecture: any
-Depends: netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}  ,libvncserver0  
+Depends: netpbm, x11-apps, xterm, ${shlibs:Depends}, ${misc:Depends}    
 Recommends: hubzero-use, hubzero-use-apps (>= 1.1), hubzero-icewm, hubzero-icewm-captive, hubzero-icewm-themes, hubzero-icewm-captive-themes, hubzero-chuse, hubzero-filexfer, hubzero-invokeapp, hubzero-ratpoison-captive, hubzero-twm-captive, hubzero-submit-client, sudo
 Description: HUBzero middleware session tools
  Collection of tools required to startup and maintain HUBzero

## hubzero-mw-session 2.2.9-1+deb12

=== pixelflip/Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 USRBINDIR=$(DESTDIR)/usr/bin
 
 CFLAGS	+= -O2
-LDFLAGS	+= -lX11
+LDLIBS	+= -lX11
 
-pixelflip: pixelflip.c
+pixelflip: pixelflip.o
 
 install: clean pixelflip
 	install pixelflip $(USRBINDIR)/pixelflip --mode 0755

=== debian/changelog ===
hubzero-mw-session (2.2.9-1+deb12) unstable; urgency=low

  * sync version numbers due to uncommitted changes

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:12:25 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), libxext-dev, libvncserver-dev
+Build-Depends: debhelper (>= 8.0.0), libvncserver-dev
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org
